Skip to main content
POST
Auto-annotate images

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

application/json

Auto-annotate payload

batch_id
integer
required
apply_annotations
boolean
confidence_threshold
number
Required range: 0 <= x <= 1
detector_model_version_id
integer

Required when SamPromptSource == "detector"

iou_threshold
number
Required range: 0 <= x <= 1
model_type
string

"sam_auto" to opt into SAM mode

model_version_id
integer
overwrite
boolean
sam_prompt_source
string

"text" | "detector"

text_classes
string[]

Required when SamPromptSource == "text"

Response

Auto-annotation job queued

data
object
error
object
meta
object
success
boolean